fop 1.1

## org.apache.fop.afp.apps
Class FontPatternExtractor

    java.lang.Object
      org.apache.fop.afp.apps.FontPatternExtractor

    public class FontPatternExtractor

extends java.lang.Object

This class represents a tool for extracting the Type 1 PFB file from an AFP outline font.

Constructor Summary
`FontPatternExtractor()`

Method Summary
`void` `extract(java.io.File file, java.io.File targetDir)` Extracts the Type1 PFB file from the given AFP outline font.
`static void` `main(java.lang.String[] args)` Main method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontPatternExtractor

    public FontPatternExtractor()

Method Detail

### extract

    public void extract(java.io.File file,
                        java.io.File targetDir)
                 throws java.io.IOException

  Extracts the Type1 PFB file from the given AFP outline font.

  Parameters:
    `file` - the AFP file to read from
    `targetDir` - the target directory where the PFB file is to be placed.
  Throws:
    `java.io.IOException` - if an I/O error occurs

### main

    public static void main(java.lang.String[] args)

  Main method

  Parameters:
    `args` - the command-line arguments

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.